summaryrefslogtreecommitdiff
path: root/init.d/local.in
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2008-03-02 21:13:21 +0000
committerRoy Marples <roy@marples.name>2008-03-02 21:13:21 +0000
commita12dbdc6c93a7d63591610378e3e570b7c7d2143 (patch)
tree22cd968f4bb32bedf82e091c9ffee798d247c51e /init.d/local.in
parent7c092fbc7904be18510eed08c72cbad974db8adc (diff)
downloadopenrc-a12dbdc6c93a7d63591610378e3e570b7c7d2143.tar.gz
openrc-a12dbdc6c93a7d63591610378e3e570b7c7d2143.tar.bz2
openrc-a12dbdc6c93a7d63591610378e3e570b7c7d2143.tar.xz
Don't check for root in prefix.
Diffstat (limited to 'init.d/local.in')
-rw-r--r--init.d/local.in43
1 files changed, 43 insertions, 0 deletions
diff --git a/init.d/local.in b/init.d/local.in
new file mode 100644
index 0000000..9b83752
--- /dev/null
+++ b/init.d/local.in
@@ -0,0 +1,43 @@
+#!/sbin/runscript
+# Copyright 2007-2008 Roy Marples <roy@marples.name>
+# All rights reserved. Released under the 2-clause BSD license.
+
+description="Executes user commands in /etc/conf.d/local"
+
+depend()
+{
+ after *
+ keyword notimeout
+}
+
+start()
+{
+ ebegin "Starting local"
+
+ if type local_start >/dev/null 2>&1; then
+ local_start
+ fi
+
+ # Support old configs
+ if [ -e /etc/conf.d/local.start ]; then
+ . /etc/conf.d/local.start
+ fi
+
+ eend $? "Failed to start local"
+}
+
+stop()
+{
+ ebegin "Stopping local"
+
+ if type local_start >/dev/null 2>&1; then
+ local_stop
+ fi
+
+ # Support old configs
+ if [ -e /etc/conf.d/local.stop ]; then
+ . /etc/conf.d/local.stop
+ fi
+
+ eend $? $"Failed to stop local"
+}